/* eslint-disable */
import React from 'react';
import { Link } from 'react-router-dom';
import { Card, Row, Col, Icon, Form, Input, Button, Select, Table, DatePicker, message, Breadcrumb, Layout, Popconfirm, Divider, Modal } from 'antd';
import TableView from '../../components/common/TableView';
import SearchFormView from '../../components/common/SearchFormView';
import moment from 'moment';
import fetch from '../../api/request';

const FormItem = Form.Item;
const confirm = Modal.confirm;


export default class AppServiceManage extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      formData: {
        __key: Date.now(),
        page: 1,
        size: 10,
      },
    };
  }

  componentDidMount() { }

  setFormData = data => {
    this.setState({
      formData: data,
    });
  }

  //添加应用
  add = () => {
    this.props.history.push('/resourceMgt/appService/Detail/new/Add')
  }

  //删除应用
  delete = (id) => {
    let _this = this;
    confirm({
      title: <span style={{ fontSize: 19 }}>确定要删除该应用吗？</span>,
      onOk() {
        fetch({
          url: `api/function/delete`,
          params: { ids: id }
        }).then(res => {
          if (res) {
            message.success("删除成功");
            _this.setState({
              formData: {
                ..._this.state.formData,
                __key: Date.now()
              }
            })
          }
        })
      },
      onCancel() { },
    });
  }

  //表格列显示
  renderColumns = () => {
    return [
      { title: '名称', className: "txt-c", dataIndex: 'name', key: 'name' },
      { title: '根路径', className: "txt-c", dataIndex: 'rootUrl', key: 'rootUrl' },
      { title: '标识符', className: "txt-c", dataIndex: 'symbol', key: '' },
      { title: '创建时间', className: "txt-c", dataIndex: 'updateTime', key: 'updateTime', render: (text, record) => text !== "" && text != null ? moment(text).format("YYYY-MM-DD HH:mm") : "" },
      {
        title: '操作', className: "txt-c", key: 'operation', render: (text, record) => {
          return <div>
            <Link to={{ pathname: "/resourceMgt/appService/Detail/" + record.id + '/Modify', state: { id: record.id } }}>修改</Link>
            <span>&nbsp;|&nbsp;</span>
            <a onClick={() => this.delete(record.id)}>删除</a>
          </div>
        }
      }
    ]
  }
  render() {
    const { formData, userSyncLoading } = this.state;
    let tableParams = {
      url: `api/app/query`,
      formData,
      key: formData.__key,
      columns: this.renderColumns(),
      extraFromData: {},
      setFormData: this.setFormData
    }

    return (
      <div className="appservicemanage-main h-100 margin padding bg-white">
        <SearchFormView
          formData={formData}
          setFormData={this.setFormData}
          data={[
            { type: 'input', name: '名称', label: '名称', key: 'name' },
            { type: 'input', name: '标识符', label: '标识符', key: 'symbol' },
          ]} />
        <Row type="flex" className="margin-bottom">
          <Col>
            <Button type="primary" onClick={this.add}>新增</Button>
          </Col>
        </Row>
        <TableView {...tableParams} />
      </div>
    )
  }


}
